Package org.snpeff.coverage

# Class CountFragments

java.lang.Object
org.snpeff.coverage.CountFragments

All Implemented Interfaces:
  `Serializable`

public class CountFragments extends Object implements Serializable
Base by base coverage (one chromsome)

Author:
  pcingola
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CountFragments()`

## Method Summary

Modifier and Type
Method
Description
`double`
`avgCoverage(Marker m)`
Calculate Fragments Per Kilobase of exon per Million fragments mapped (FPKM)
`static CountFragments`
`calculateFromSam(String samFile, boolean verbose)`
Calculate coverage from a SAM file
`void`
`createChr(String chr, int len)`
Create new chromosome coverage
`CoverageChr`
`get(String chr)`
`void`
`inc(String chr, int start, int end)`
Increment a region
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CountFragments

public CountFragments()

## Method Details

### calculateFromSam

public static CountFragments calculateFromSam(String samFile, boolean verbose)
Calculate coverage from a SAM file

Parameters:
  `samFile` -
  `verbose` -
Returns:

### avgCoverage

public double avgCoverage(Marker m)
Calculate Fragments Per Kilobase of exon per Million fragments mapped (FPKM)

Parameters:
  `m` - : A marker interval
Returns:

### createChr

public void createChr(String chr, int len)
Create new chromosome coverage

Parameters:
  `chr` -
  `len` -

### get

public CoverageChr get(String chr)

### inc

public void inc(String chr, int start, int end)
Increment a region

Parameters:
  `start` -
  `end` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`